> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ghostsecurity.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get review issue

> Get detailed information about a specific review issue



## OpenAPI

````yaml https://api.ghostsecurity.ai/openapi.json get /v2/issues/{id}
openapi: 3.1.0
info:
  contact:
    email: support@ghostsecurity.com
    name: Ghost Security
    url: https://ghostsecurity.com/
  description: 'Provide your Bearer token as: Bearer <token>'
  title: Ghost API
  version: 2.0.0
servers:
  - description: Ghost Security API server
    url: https://api.ghostsecurity.ai
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v2/issues/{id}:
    get:
      tags:
        - reviews.v2
      summary: Get review issue
      description: Get detailed information about a specific review issue
      parameters:
        - description: Review Issue ID
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ReviewIssue'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorBadRequest'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorUnauthorized'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorNotFound'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorInternalServerError'
          description: Internal Server Error
      security:
        - bearerauth: []
components:
  schemas:
    types.ReviewIssue:
      description: Review issue
      properties:
        commit_link:
          example: https://github.com/owner/repo/commit/abc123
          type: string
        commit_sha:
          example: abc123
          type: string
        created_at:
          example: '2025-01-01T00:00:00Z'
          type: string
        description:
          example: This is a SQL injection vulnerability
          type: string
        file_location_link:
          example: https://github.com/owner/repo/blob/abc123/path/to/file#L42
          type: string
        file_path:
          example: /path/to/file
          type: string
        first_seen_at:
          example: '2025-01-01T00:00:00Z'
          type: string
        id:
          example: csUT18jx0mY
          type: string
        last_seen_at:
          example: '2025-01-01T00:00:00Z'
          type: string
        line_number:
          example: 42
          type: integer
        pr_number:
          example: 1
          type: integer
        provider:
          example: github
          type: string
        repo_id:
          example: 08PB3zptlr8
          type: string
        repo_name:
          example: repo
          type: string
        repo_owner:
          example: owner
          type: string
        resolved_at:
          example: '2025-01-01T00:00:00Z'
          type: string
        resolved_by:
          description: commit SHA
          example: abc123
          type: string
        review_id:
          example: csUT18jx0mY
          type: string
        seen_in_commits:
          example:
            - 5ecf8d2
            - c13901b
          items:
            type: string
          type: array
          uniqueItems: false
        severity:
          example: high
          type: string
        status:
          description: '"open", "resolved"'
          example: open
          type: string
        title:
          example: SQL Injection Vulnerability
          type: string
        updated_at:
          example: '2025-01-01T00:00:00Z'
          type: string
      type: object
    types.ErrorBadRequest:
      description: Error response for bad requests
      properties:
        error:
          description: Error message
          example: Invalid request body
          type: string
      type: object
    types.ErrorUnauthorized:
      description: Error response for unauthorized requests
      properties:
        error:
          description: Error message
          example: Unauthorized
          type: string
      type: object
    types.ErrorNotFound:
      properties:
        error:
          description: Error message
          example: Resource not found
          type: string
      type: object
    types.ErrorInternalServerError:
      description: Error response for internal server errors
      properties:
        error:
          description: Error message
          example: Internal server error
          type: string
      type: object
  securitySchemes:
    bearerauth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````